﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace RESTEventLog
{
    public partial class EventList : Form
    {
        private DataSet EventDataSet = null;


        #region "Form methods"

        public EventList()
        {
            InitializeComponent();
        }


        private void EventList_Load(object sender, EventArgs e)
        {
            LoadList();
        }


        private void btnRefresh_Click(object sender, EventArgs e)
        {
            LoadList();
        }


        private void gridElem_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            if ((EventDataSet != null) && (EventDataSet.Tables.Count > 0))
            {
                int eventId = int.Parse(EventDataSet.Tables[0].Rows[e.RowIndex]["EventID"].ToString());

                EventDetail detail = new EventDetail(eventId);
                detail.ShowDialog();
            }
        }

        #endregion


        private void LoadList()
        {
            string url = "http://localhost/KenticoCMS7_1/rest/cms.eventlog?where=eventtype='I'&columns=EventID, EventCode,EventTime, EventMachineName";

            Program.LoadDataSet(url, ref EventDataSet);
            gridElem.DataSource = EventDataSet.Tables[0];
        }
    }
}
