﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Net;
using System.Data;
using System.Text;

namespace RESTEventLog
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new EventList());
        }


        public static void LoadDataSet(string url, ref DataSet ds)
        {
            LoadDataSet(url, "administrator", "", ref ds);
        }


        public static void LoadDataSet(string url, string username, string password, ref DataSet ds)
        {
            HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);

            request.Method = "GET";
            request.ContentLength = 0;
            request.ContentType = "text/xml";

            // Set credentials for basic authentication
            if (!string.IsNullOrEmpty(username))
            {
                // Set the authorization header for basic authentication
                request.Headers["Authorization"] = "Basic " + Convert.ToBase64String(ASCIIEncoding.ASCII.GetBytes(username + ":" + password));
            }

            HttpWebResponse response = (HttpWebResponse)request.GetResponse();

            // If everything went ok, parse the xml recieved to dataset and bind it to the grid
            if (response.StatusCode == HttpStatusCode.OK)
            {
                // Load the xml data to the dataset
                ds = new DataSet();
                ds.ReadXml(response.GetResponseStream());
            }
        }
    }
}
